Debian Bug report logs - #592510
live-config: dexconf always fails

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: intrigeri@boum.org

Date: Tue, 10 Aug 2010 17:09:02 UTC

Severity: normal

Fixed in versions live-config/2.0.1-1, live-config/3.0~a2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#592510; Package live-config. (Tue, 10 Aug 2010 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@boum.org:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 10 Aug 2010 17:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@boum.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: dexconf always fails
Date: Tue, 10 Aug 2010 18:55:57 +0200
Package: live-config
Severity: normal

In a Squeeze image: 116-xserver-xorg always fails because dexconf
returns 10 as the xserver-xorg/config/device/bus_id debconf variable
is not set.

This makes live-config error out and ignore all config scripts that
come after this one.

So it seems dexconf is neither working for Lenny nor for Squeeze.

I suggest reverting to the good old "preseed then dpkg-reconfigure" method.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr-fingerprint.asc
  | The impossible just takes a bit longer.




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 14 Aug 2010 18:18:03 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@boum.org:
Bug acknowledged by developer. (Sat, 14 Aug 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 592510-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 592510-close@bugs.debian.org
Subject: Bug#592510: fixed in live-config 2.0.1-1
Date: Sat, 14 Aug 2010 18:17:28 +0000
Source: live-config
Source-Version: 2.0.1-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_2.0.1-1_all.deb
  to main/l/live-config/live-config-runit_2.0.1-1_all.deb
live-config-systemd_2.0.1-1_all.deb
  to main/l/live-config/live-config-systemd_2.0.1-1_all.deb
live-config-sysvinit_2.0.1-1_all.deb
  to main/l/live-config/live-config-sysvinit_2.0.1-1_all.deb
live-config-upstart_2.0.1-1_all.deb
  to main/l/live-config/live-config-upstart_2.0.1-1_all.deb
live-config_2.0.1-1.diff.gz
  to main/l/live-config/live-config_2.0.1-1.diff.gz
live-config_2.0.1-1.dsc
  to main/l/live-config/live-config_2.0.1-1.dsc
live-config_2.0.1-1_all.deb
  to main/l/live-config/live-config_2.0.1-1_all.deb
live-config_2.0.1.orig.tar.gz
  to main/l/live-config/live-config_2.0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592510@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Aug 2010 20:06:21 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 2.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 592510
Changes: 
 live-config (2.0.1-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Only run x-session-manager parts when x-session-manager is set.
 .
   [ intrigeri ]
   * Removing spurious copy/pasted line in xserver-xorg script.
 .
   [ Daniel Baumann ]
   * Using dpkg-reconfigure instead of dexconf in xserver-xorg script
     (Closes: #592510).
Checksums-Sha1: 
 c86c6231224e760d2497d0dc4c9b724e3ef74b42 1321 live-config_2.0.1-1.dsc
 e1c000e4c34bf1d338aee80aede795f0cc7a2209 74422 live-config_2.0.1.orig.tar.gz
 05d1ee846d197158faf6d80b902e01db6f5d8611 5439 live-config_2.0.1-1.diff.gz
 4201849e9ba6149b4712c1dbb249e81bff982a8f 38474 live-config_2.0.1-1_all.deb
 b42e5017e617244a68e74fc0ae1256b59f42cf61 5640 live-config-runit_2.0.1-1_all.deb
 186a768db5b5d01108705a34a42034201970824e 5388 live-config-systemd_2.0.1-1_all.deb
 a1a45b2935d19961fa342c43286d2d99a92eb6d5 6370 live-config-sysvinit_2.0.1-1_all.deb
 db257c3574d30b1403f7f98a56b0bd21f7b30142 5554 live-config-upstart_2.0.1-1_all.deb
Checksums-Sha256: 
 fb3a4729292aeae348ddf26e09d2b95b8ff418ff7d717bbdc320d1e0c257cf10 1321 live-config_2.0.1-1.dsc
 2f37bd89829f1d170fcf8903652291dd4e5ad39d05a8ffca925d76f50f77abf7 74422 live-config_2.0.1.orig.tar.gz
 6f50c7c377cb7cb4acb1ec8d481edddbe1b2ee7aad62f21eb28e49e6044cb803 5439 live-config_2.0.1-1.diff.gz
 def2f88e98cb933a305ae8c26a3276c3b65045d111db32be24ec6c1a3709412b 38474 live-config_2.0.1-1_all.deb
 5e6c935f23b760f16f640b3cfc2c5d3312e3eb7c1ab369f6b7d5cbcfc837ddad 5640 live-config-runit_2.0.1-1_all.deb
 9f066a714a78b2d7a7935db48031d4e3151949519758b9bfee207817b96849f3 5388 live-config-systemd_2.0.1-1_all.deb
 1ea79b7cb26691ee6e503edbcefcd40f0a22f6276d28620f0daa5e3d38ce8fc9 6370 live-config-sysvinit_2.0.1-1_all.deb
 aa6cbc41c815dcc4b08032cad47a83b120e75ca596ba02cab4f82165dc33a160 5554 live-config-upstart_2.0.1-1_all.deb
Files: 
 cb3a3615ab44cbc8d5aa57b652555fd9 1321 misc optional live-config_2.0.1-1.dsc
 287faf104782a2e23a95f06f888eddbf 74422 misc optional live-config_2.0.1.orig.tar.gz
 4ab8de7008b972cc921323f2cb40c4b2 5439 misc optional live-config_2.0.1-1.diff.gz
 470230c7c2e6498d5c682a54ccd44563 38474 misc optional live-config_2.0.1-1_all.deb
 d06dacd955fc5d1cc86584efe12cb698 5640 misc optional live-config-runit_2.0.1-1_all.deb
 92add92dfb07b2b65db6d989a73c893a 5388 misc optional live-config-systemd_2.0.1-1_all.deb
 2a2260020f8eac39167db82f5d0c9a82 6370 misc optional live-config-sysvinit_2.0.1-1_all.deb
 370ce40ddc27e950fd0f051612cfc1c3 5554 misc optional live-config-upstart_2.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxm28oACgkQ+C5cwEsrK57JIACeMziPoYs+W+lA1uJ30N7F8DNV
fjYAn29vVs/v0vGvn3zhlTe2L3eBCclo
=fE1c
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 14 Aug 2010 18:18:05 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@boum.org:
Bug acknowledged by developer. (Sat, 14 Aug 2010 18:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 592510-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 592510-close@bugs.debian.org
Subject: Bug#592510: fixed in live-config 3.0~a2-1
Date: Sat, 14 Aug 2010 18:17:37 +0000
Source: live-config
Source-Version: 3.0~a2-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_3.0~a2-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a2-1_all.deb
live-config-systemd_3.0~a2-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a2-1_all.deb
live-config-sysvinit_3.0~a2-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a2-1_all.deb
live-config-upstart_3.0~a2-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a2-1_all.deb
live-config_3.0~a2-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a2-1.debian.tar.gz
live-config_3.0~a2-1.dsc
  to main/l/live-config/live-config_3.0~a2-1.dsc
live-config_3.0~a2-1_all.deb
  to main/l/live-config/live-config_3.0~a2-1_all.deb
live-config_3.0~a2.orig.tar.gz
  to main/l/live-config/live-config_3.0~a2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592510@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Aug 2010 19:25:00 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 592510
Changes: 
 live-config (3.0~a2-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Only run x-session-manager parts when x-session-manager is set.
 .
   [ intrigeri ]
   * Removing spurious copy/pasted line in xserver-xorg script.
 .
   [ Daniel Baumann ]
   * Using dpkg-reconfigure instead of dexconf in xserver-xorg script
     (Closes: #592510).
Checksums-Sha1: 
 418738bf8fcf714587031b2560207801dea693f9 1354 live-config_3.0~a2-1.dsc
 43647890ec2915ff2e668a37c4f782092781886c 73527 live-config_3.0~a2.orig.tar.gz
 4853c74a52ffb662339a345f5abc723c0e4621fd 5690 live-config_3.0~a2-1.debian.tar.gz
 f743bf2da597f76a3c1f217c4b0755e3435860b4 38256 live-config_3.0~a2-1_all.deb
 add3861bb6ab80672bafaf2b27b202b4d8f8f037 5716 live-config-runit_3.0~a2-1_all.deb
 58f9d2833071189a09e2372648986c26bdc37ef5 5468 live-config-systemd_3.0~a2-1_all.deb
 b47731a9e56fe042da7e0b7f8c046ec071fec5ad 6460 live-config-sysvinit_3.0~a2-1_all.deb
 2c0daea0a4192367e2ca62657c26c180e96daab6 5634 live-config-upstart_3.0~a2-1_all.deb
Checksums-Sha256: 
 4dc6b5d1bc809d14a3fda431642582e4f0fb38d81de4b709947398c52f9b5716 1354 live-config_3.0~a2-1.dsc
 9dfb9e67b6438a3a635c465f3acd915ac49f84dddedd0094b9e67bd7f39ea190 73527 live-config_3.0~a2.orig.tar.gz
 209df507d959570cefddcdf68b7c2bde3f30a2e80109dd60a56a5f7fea327997 5690 live-config_3.0~a2-1.debian.tar.gz
 4f9f8372791ce4f1d560918bda21f1559093534029c38ea94f9d4aacb7a7674f 38256 live-config_3.0~a2-1_all.deb
 476cade2f11af4d2941d58d12b06c3f8fab002c9500e86c53d79959862dc7e08 5716 live-config-runit_3.0~a2-1_all.deb
 e8fcc9614e4619c397ea3f567b55ebfc2f54ea326b6f15d479a09bbb31b2585a 5468 live-config-systemd_3.0~a2-1_all.deb
 6e35c015cb1fb7692d8dd0a18ea308019a9c1f2c01754a7042441e8e03567fc5 6460 live-config-sysvinit_3.0~a2-1_all.deb
 04c05d23bd584d7677034668dc9b2af2025dcfb0bbd34dea0512a7be444f3803 5634 live-config-upstart_3.0~a2-1_all.deb
Files: 
 e2934f60834ea67fbfb53e37d31137c1 1354 misc optional live-config_3.0~a2-1.dsc
 99d78e60b2f2dcb5cc6c168fb5763ffe 73527 misc optional live-config_3.0~a2.orig.tar.gz
 eb75eab885982d0d8995bbe68a56c23d 5690 misc optional live-config_3.0~a2-1.debian.tar.gz
 b3b2cdd2f9847a9f5ebcd6fdacc82c49 38256 misc optional live-config_3.0~a2-1_all.deb
 00b8d7c7dcbd3aa4b9207bcc1d96d9ef 5716 misc optional live-config-runit_3.0~a2-1_all.deb
 68c6597e89f00181f494feb34b62aad9 5468 misc optional live-config-systemd_3.0~a2-1_all.deb
 c6a17a995ac08acdab435c904f1f2293 6460 misc optional live-config-sysvinit_3.0~a2-1_all.deb
 9fe7b231da1053f1f139bc731f0828d8 5634 misc optional live-config-upstart_3.0~a2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxm2s8ACgkQ+C5cwEsrK55tAwCgx9SK7q/t/ct4PsiaQioizJwU
mysAmweUFROiz/JZmuKxdu4Owh7aLkc4
=CL35
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Sep 2010 07:31:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:55:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.